# ZetAspects

Drop Rate from Killed Elites changed to 1 in 500.

Drop chance is halved every time one drops in a run (0.2% -> 0.1%).

Changes the Elite Aspects into scalable Drop Only Boss Tier Items.

Aspects can be changed to Red Tier or kept as Equipment.

Having Aspect Abilities installed will make Aspects drop as Equipment by default.

Clicking the Equipment icon at the bottom-right of the screen will Convert it into an Item.

## Wake of Vultures:

Now lasts for 20 (+10 per stack) seconds and also gives a buff to stats on killing elites.

## Aspect Effects:

![effects](https://i.imgur.com/UJejZyv.png)

## Elite Variety Aspect Effects:

Impale Dot Damage : Damage multiplied by x0.75 to counteract effect of aspect DotAmp.

bannerTweaks (disabled by default) : Aura will only provide warbanner buff and not warcry buff.

impaleTweaks (disabled by default) : Scale impale damage and duration based on ambient level. No effect at lvl 90.

cycloneTweaks (disabled by default) : Visibility: 15m -> 240m, ProcRate: 0.1s -> 0.5s, Prevent Crit(remove constant luck sound effect).

tinkerTweaks (disabled by default) : Disable scrap stealing. Reduce drone counts and increase health and damage(configurable).

![effects](https://i.imgur.com/g82PmCo.png)

## Lost In Transit Effects:

Effect of Guttural Whimpers and Primordial Rage for monsters is multiplied by x5.

Effect of Betrayal of the Bulwark for monsters is multiplied by x5 for damage and cooldowns. Health multiplier is x10.

![effects](https://i.imgur.com/7EHZtrm.png)

## Aetherium Aspect Effects:

![effects](https://i.imgur.com/RifeVeV.png)

## Installation:

Requires Bepinex and HookGenPatcher.

Use r2modman or place inside of Risk of Rain 2/Bepinex/Plugins/

## Changelog:

v2.6.6 - Fix mod imploding without EliteReworks installed.

v2.6.5 - Aspect Descriptions reflect changes made by EliteReworks.

v2.6.4 - Added blind dodge effect value to Sandstorm Elite description. Configs to change when dodge effect is applicable.

v2.6.3 - Fix disabled red items breaking ItemDropList menu.

v2.6.2 - Adjust some EliteVariety effects. Added bannerTweaks. Added dodge effect to Sandstorm Elite. Change some aspect descriptions.

v2.6.1 - TinkerTweaks allows configuring drone count and stats. Change color of elite equipment droplets. Added server checks to blight manager. Change some health bar colors.

v2.6.0 - Added support for Blighted Elites from LostInTransit. Tweak how mod updates inventory behaviors.

v2.5.7 - Automatically display or hide item/equipment entries in LogBook, RuleBook, and PickupPicker menus. If configured to make item aspects unobtainable, equipment aspect descriptions show total effects only. Reduce Impale damage to negate DotAmp effect.

v2.5.6 - Fix NullRef preventing aspect drops and interfering with OnCharacterDeath. Only show LogBook entries if item/equipment is obtainable.

v2.5.5 - Added Volatile Elite support.

v2.5.4 - Added aspectDropChanceMultiplayerFactor config and allow negative aspectDropChanceMultiplayerExponent.

v2.5.3 - Added impaleTweaks. Config for freeze chance per stack. Added aspectDropChanceMultiplayerExponent config.

v2.5.2 - Fix RichTextChat preventing equipment conversion.

v2.5.1 - Configs to tweak some EliteVariety behavior.

v2.5.0 - Added Aetherium support.
